Package twisted :: Package conch :: Package ssh :: Module service :: Class SSHService

[show private | hide private]
[frames | no frames]

## Class SSHService

Known Subclasses:
  `SSHConnection`, `SSHUserAuthServer`, `SSHUserAuthClient`

Method Summary
| ``packetReceived`(self, messageType, packet)` called when we receieve a packet on the transport
| ``serviceStarted`(self)` called when the service is active on the transport.
| ``serviceStopped`(self)` called when the service is stopped, either by the connection ending or by another service being started

Class Variable Summary
`NoneType` | `name`
`dict` | `protocolMessages`
`NoneType` | `transport`

Method Details

### packetReceived(self, messageType, packet)

called when we receieve a packet on the transport

### serviceStarted(self)

called when the service is active on the transport.

### serviceStopped(self)

called when the service is stopped, either by the connection ending or by another service being started

Class Variable Details

### name

  Type:
    `NoneType`
  Value:

        None

### protocolMessages

  Type:
    `dict`
  Value:

        {}

### transport

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:18:19 2003 | http://epydoc.sf.net